"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var src_1 = require("../../../../src/");
var vending_machine_1 = require("../../src/vending-machine");
var features = src_1.loadFeatures('./examples/typescript/specs/features/auto-binding/**/*.feature');
var testSteps = function (_a) {
    var given = _a.given, and = _a.and, when = _a.when, then = _a.then;
    var vendingMachine;
    given(/^the vending machine has "(.*)" in stock$/, function (itemName) {
        vendingMachine = new vending_machine_1.VendingMachine();
        vendingMachine.stockItem(itemName, 1);
    });
    and('I have inserted the correct amount of money', function () {
        vendingMachine.insertMoney(0.50);
    });
    when(/^I purchase "(.*)"$/, function (itemName) {
        vendingMachine.dispenseItem(itemName);
    });
    then(/^my "(.*)" should be dispensed$/, function (itemName) {
        expect(vendingMachine.items[itemName]).toBe(0);
    });
};
src_1.autoBindSteps(features, [testSteps]);
//# sourceMappingURL=automatic-step-binding.steps.js.map