"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.vendingMachineSteps = void 0;
var vending_machine_1 = require("../../../src/vending-machine");
exports.vendingMachineSteps = function (_a) {
    var given = _a.given, and = _a.and, when = _a.when, then = _a.then;
    var vendingMachine;
    given(/^the vending machine has "(.*)" in stock$/, function (itemName) {
        vendingMachine = new vending_machine_1.VendingMachine();
        vendingMachine.stockItem(itemName, 1);
    });
    and('I have inserted the correct amount of money', function () {
        vendingMachine.insertMoney(0.50);
    });
    when(/^I purchase "(.*)"$/, function (itemName) {
        vendingMachine.dispenseItem(itemName);
    });
    then(/^my "(.*)" should be dispensed$/, function (itemName) {
        var inventoryAmount = vendingMachine.items[itemName];
        expect(inventoryAmount).toBe(0);
    });
};
//# sourceMappingURL=vending-machine-steps.js.map